import 'package:farmer_client/widgets/DefaultButton.dart';
import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:get/get.dart';

import '../../widgets/OrderInfoCard.dart';
import '../../widgets/layout/BasicPage.dart';

// class OrderPageInfo extends StatefulWidget {
//   const OrderPageInfo({Key? key}) : super(key: key);
//
//   @override
//   State<OrderPageInfo> createState() => _OrderPageInfoState();
// }

class OrderPageInfo extends BasicPage {
  @override


  void onCancel() {

  }

  @override
  Widget builder (BuildContext context) {
    naviTitle= '订单详情';
    return  Column(
        children: [
          OrderInfoCard(),
          // Spacer(),
          Container(
            height: 100.w,
            alignment: Alignment.bottomCenter,
            margin: EdgeInsets.fromLTRB(15.w, 0, 15.w, 50.h),
            child: Row(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: [
                GestureDetector(
                  onTap: () {
                    onCancel();
                  },
                  child: Container(
                    width: 150.w,
                    height: 49.h,
                    decoration: BoxDecoration(
                        color: const Color(0xffffffff),
                        border: Border.all(
                            color: const Color(0xFFFF703B),
                            width: 1.w,
                            style: BorderStyle.solid),
                        borderRadius:
                            BorderRadius.all(Radius.circular(24.5.w))),
                    child: Center(
                      child: Text(
                        '取消',
                        style: TextStyle(
                            fontSize: 20.sp,
                            color: const Color(0xFFFF703B),
                            fontWeight: FontWeight.bold),
                      ),
                    ),
                  ),
                ),
                DefaultButton(
                  color: const Color(0xffffffff),
                  backColor: const Color(0xFFFF703B),
                  width: 150.w,
                  height: 49.h,
                  text: '支付',
                  onPressed: () {
                    Fluttertoast.showToast(msg: '支付成功！');
                    Get.offAllNamed('/');
                  },
                  margin: const EdgeInsets.all(0),
                  fontSize: 20.sp,
                  radius: 24.5.w,
                ),
              ],
            ),
          ),
        ],
    );

  }
}
